Package org.optaplanner.core.impl.score.buildin.simplebigdecimal

## Class SimpleBigDecimalScoreInliner

- java.lang.Object
- - org.optaplanner.core.impl.score.inliner.ScoreInliner<SimpleBigDecimalScore>
  - - org.optaplanner.core.impl.score.buildin.simplebigdecimal.SimpleBigDecimalScoreInliner

-     public class SimpleBigDecimalScoreInliner
      extends ScoreInliner<SimpleBigDecimalScore>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected BigDecimal` | `score` |

    - ### Fields inherited from class org.optaplanner.core.impl.score.inliner.ScoreInliner

      `constraintMatchEnabled`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SimpleBigDecimalScoreInliner​(boolean constraintMatchEnabled)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `BigDecimalWeightedScoreImpacter` | `buildWeightedScoreImpacter​(SimpleBigDecimalScore constraintWeight)` |
    `SimpleBigDecimalScore` | `extractScore​(int initScore)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### score

          protected BigDecimal score

  - ### Constructor Detail

    - #### SimpleBigDecimalScoreInliner

          protected SimpleBigDecimalScoreInliner​(boolean constraintMatchEnabled)

  - ### Method Detail

    - #### buildWeightedScoreImpacter

          public BigDecimalWeightedScoreImpacter buildWeightedScoreImpacter​(SimpleBigDecimalScore constraintWeight)

      Specified by:
        `buildWeightedScoreImpacter` in class `ScoreInliner<SimpleBigDecimalScore>`

    - #### extractScore

          public SimpleBigDecimalScore extractScore​(int initScore)

      Specified by:
        `extractScore` in class `ScoreInliner<SimpleBigDecimalScore>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`